import { AES256 } from './AES256';
import { EncryptionMethodImpl } from './crypto';
import { NotepadShell } from './interfaces';
import Notepad from './Notepad';
export declare class AES256GZ extends AES256 implements EncryptionMethodImpl {
    decrypt(notepad: NotepadShell, passkey: string): Promise<Notepad>;
    encrypt(notepad: Notepad, passkey: string): Promise<NotepadShell>;
}
