import { NotepadShell } from './interfaces';
import Notepad from './Notepad';
export declare type EncryptionMethod = 'AES-256' | 'AES-256-GZ';
export declare function decrypt(notepad: NotepadShell, passkey: string): Promise<Notepad>;
export declare function encrypt(notepad: Notepad, passkey: string): Promise<NotepadShell>;
export interface EncryptionMethodImpl {
    encrypt(notepad: Notepad, passkey: string): Promise<NotepadShell>;
    decrypt(notepad: NotepadShell, passkey: string): Promise<Notepad>;
}
