import { NotepadShell } from './interfaces';
import Notepad from './Notepad';
import { EncryptionMethodImpl } from './crypto';
export declare class AES256 implements EncryptionMethodImpl {
    decrypt(notepad: NotepadShell, passkey: string): Promise<Notepad>;
    encrypt(notepad: Notepad, passkey: string): Promise<NotepadShell>;
    protected keyGenerator(passkey: string): Promise<Uint8Array>;
    protected static stringifyNotepadObj(obj: object): string;
}
