export default class Asset {
    data: Blob;
    readonly uuid: string;
    constructor(data: Blob, uuid?: string);
    /**
     * @returns {Promise<string>} The Asset's content in Base64
     */
    toString(): Promise<string>;
    /**
     * @returns {Promise<any>} A version of the Asset that the XML generator can parse
     */
    toXmlObject(): Promise<any>;
    private generateGuid;
}
