import FlatNotepad from '../FlatNotepad';
export declare type RestructuredNotepads = {
    source: FlatNotepad;
    destination: FlatNotepad;
};
/**
 * Move a note between notebooks.
 *
 * @param internalRef The reference for the note that is being moved
 * @param source The source notebook
 * @param destination The destination notebook
 */
export declare function moveNote(internalRef: string, source: FlatNotepad, destination: FlatNotepad): RestructuredNotepads;
/**
 * Move a section between notebooks.
 *
 * @param internalRef The reference for the section that is being moved
 * @param source The source notebook
 * @param destination The destination notebook
 */
export declare function moveSection(internalRef: string, source: FlatNotepad, destination: FlatNotepad): RestructuredNotepads;
